Uploaded image for project: 'Puppet Agent'
  1. Puppet Agent
  2. PA-1824

Update vendored ruby to 2.5.0 in puppet-agent

    Details

    • Template:
    • Acceptance Criteria:
      Hide
      • we are building the agent using the ruby 2.5 series

      Platforms to build on:
      [X] AIX
      [X] Windows
      [X] EL variant (not X-compiled)
      [X] SLES (not X-compiled)
      [X] Fedora
      [X] Debian variant (not X-compiled)
      [X] NetDev (Cisco + Arista)
      [ ] X-Compiled Linux
      [X] Solaris (x86)
      [ ] Solaris (sparc)
      [X] macOS

      Show
      we are building the agent using the ruby 2.5 series Platforms to build on: [X] AIX [X] Windows [X] EL variant (not X-compiled) [X] SLES (not X-compiled) [X] Fedora [X] Debian variant (not X-compiled) [X] NetDev (Cisco + Arista) [ ] X-Compiled Linux [X] Solaris (x86) [ ] Solaris (sparc) [X] macOS
    • Epic Link:
    • Team:
      Platform OS
    • Sprint:
      Platform OS Kanban
    • QA Risk Assessment:
      Needs Assessment

      Description

      From the original poster:

      Hi,
      I'm not sure if there is already a matching issue, I didn't found any. Would it be possible to bump the vendored ruby in the puppet-agent packages from 2.4 to 2.5? This is the latest stable ruby release, and several linux distributions bumped their system-ruby to 2.5.0 and built puppet against it (for example Archlinux).

       

      This ticket will track the work and associated PRs to update to ruby 2.5 in the agent.

        Attachments

          Issue Links

            Activity

              jsd-sla-details-panel

                People

                • Assignee:
                  sean.mcdonald Sean McDonald
                  Reporter:
                  bastelfreak Tim Meusel
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  6 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:

                    Zendesk Support